<!-- expressInfo 物流信息  -->
<template>
  <div >
    <el-dialog :append-to-body="true" :close-on-click-modal="false" title="物流信息" :visible.sync="Show" width="700px">
      <div v-loading="loading" class="expressInfo">
        <div  finish-status="success">
          <el-steps direction="vertical" :active="active" process-status="finish" finish-status="wait">
          
            <el-step v-for="(item,index)  in data" :key="index" :title="item.AcceptStation" :description="item.AcceptTime"></el-step>
          </el-steps>
        </div>
      </div>
      <div slot="footer">
        <el-button @click="Show = false">关 闭</el-button>
        <el-button type="primary" @click="handelSetMenu">确 定</el-button>
      </div>
    </el-dialog>
  </div>
</template>

<script>

export default {
  name: 'expressInfo',
  props: {
    value: {
      required: true,
      type: Boolean,
    },
    id: {
      type: [String, Number]
    },
    info: {}
  },

  computed: {
    Show: {
      get() {
        return this.value
      },
      set(v) {
        this.$emit('input', v)
      }
    }
  },
  data() {
    return {
      loading: false,
      data:[],
      active:0
    }
  },

  mounted() {
    this.init()
  },

  methods: {
    //初始化方法
    init() {
      this.getInfo()
    },
    getInfo() {
      this.loading = true
      this.m_api.order_package_trace(this.info).then(res => {
        console.log(res)
        this.data = res.data
        let index = this.data.findIndex(i=>i.AcceptTime=='')
         this.active = this.data.length-1
      
        this.loading = false
      }).catch(err => {
        this.loading = false
      })
    },

    handelSetMenu() {
      this.$emit('handelSubmit')
      this.Show = false
    },
  },
  watch: {

  },
  filters: {

  }
}

</script>
<style lang='scss' >
.expressInfo{
 .el-step__title{
    font-size: 13px !important;
  }
}
</style>